about summary refs log tree commit diff
path: root/xmandoc
diff options
context:
space:
mode:
Diffstat (limited to 'xmandoc')
-rwxr-xr-xxmandoc8
1 files changed, 8 insertions, 0 deletions
diff --git a/xmandoc b/xmandoc
new file mode 100755
index 0000000..7a6486e
--- /dev/null
+++ b/xmandoc
@@ -0,0 +1,8 @@
+#!/bin/sh
+# xmandoc MANPAGE - read manpage of possibly not installed package
+
+xlocate "man/man..?/$1\.[0-9]" 2>/dev/null | 
+	{ grep . || { echo "xmandoc: No entry for $1 found." 1>&2; exit 1; } } |
+	while read pkg page; do
+		xbps-query --cat=$page $pkg | mandoc -a
+	done